Page MenuHomePhabricator

Find various information about Special:TranslatorSignup
Closed, ResolvedPublic

Description

  • where are data created by that tool
  • is it possible to have it as a global tool?

(Merged from T128922: translation administrators should be able to check information stored in Special:TranslationSignup:)
Currently there's no way, to the best of my knowledge, for translation administrators to check how many users are subscribed to a language, notification preferences or remove users from their subscriptions. I think it should be possible for TA to check users subscribed, notification preferences and being able to remove users from the signup system.

Related Objects

StatusSubtypeAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
OpenNone
OpenNone
OpenAreefa
ResolvedJohan
ResolvedJohan
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedMtDu
OpenNone

Event Timeline

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 26 2016, 2:09 PM
Johan awarded a token.Feb 26 2016, 2:13 PM
Johan added a subscriber: Johan.
siebrand added a comment.EditedFeb 26 2016, 2:29 PM

We (as in when I was still part of the Language Engineering team) wrote it before there were wiki integrated mailing lists and such, because translation administrators of various Wikimedia sites (Meta, MediaWiki, Comons, possibly more) wanted to be able to notify translators of new translations and available translations that needed attention; sometimes only wanting to reach translators of specific languages.

There is no interface for statistics. The data is in user preferences, as far as I know, that are not available in the user interface. People with access to the database, possibly also to copies of the database, should be able to report on it.

It's part of Extension:TranslationNotifications. Looks like the data is stored in user preferences.

Thanks @siebrand and @Krenair . So it is not possible to have a public list of people who can translate from English to [random language]?

[I]t is not possible to have a public list of people who can translate from English to [random language]?

Not with the current state of the software. With additional development, it is technically possible, and relatively easy. Just get someone to code it for you...

[I]t is not possible to have a public list of people who can translate from English to [random language]?

Not with the current state of the software. With additional development, it is technically possible, and relatively easy. Just get someone to code it for you...

I should consider to learn how to code! It may be useful sometimes. :)

It is really approximative: it is based on contributions, not on language spoken. For example, I've found my name on a language list that I don't speak, just because I've fixed some links on a translation. I don't think we can use it to find people.

Yep, it is automatically generated. That's why it highlights the users who have contributed most translations and tells when they were last active.

Trizek-WMF triaged this task as Medium priority.Mar 1 2016, 1:25 PM

@siebrand , do you still have the code for the tnstats tool that you used to run on the Toolserver? Perhaps someone can adapt it to run on Labs.

@siebrand , do you still have the code for the tnstats tool that you used to run on the Toolserver? Perhaps someone can adapt it to run on Labs.

I forgot all about that. I've looked for it on my development machine and in my email. I don't seem to have it any more.

Trizek-WMF closed this task as Resolved.Mar 23 2016, 11:38 AM

Resolved: all information I needed has been found and T129370: Create a special page to have lists of translators, based on Extension:TranslationNotifications is the next step.